Package org.snpeff.snpEffect

# Enum Class VariantEffect.EffectImpact

java.lang.Object
java.lang.Enum<VariantEffect.EffectImpact>
org.snpeff.snpEffect.VariantEffect.EffectImpact

All Implemented Interfaces:
  `Serializable`, `Comparable<VariantEffect.EffectImpact>`, `Constable`

Enclosing class:
  `VariantEffect`

public static enum VariantEffect.EffectImpact extends Enum<VariantEffect.EffectImpact>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIGH`
`LOW`
`MODERATE`
`MODIFIER`

## Method Summary

Modifier and Type
Method
Description
`static VariantEffect.EffectImpact`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantEffect.EffectImpact[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HIGH

public static final VariantEffect.EffectImpact HIGH

### MODERATE

public static final VariantEffect.EffectImpact MODERATE

### LOW

public static final VariantEffect.EffectImpact LOW

### MODIFIER

public static final VariantEffect.EffectImpact MODIFIER

## Method Details

### values

public static VariantEffect.EffectImpact[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VariantEffect.EffectImpact valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null